package com.huiju.estateagents.redpack.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 红包金额设置 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacketMoney implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @TableId(value = "activity_id", type = IdType.UUID)
    private String activityId;

    /**
     * 红包预算 单位分
     */
    private Integer budget;

    /**
     * 剩余金额 单位分
     */
    private Integer balance;

    /**
     * 最小红包 单位分
     */
    private Integer minPacket;

    /**
     * 最大红包 单位分
     */
    private Integer maxPacket;

    /**
     * 红包上限 -1不限制
     */
    private Integer limitPacketNum;

    /**
     * 已发送红包个数
     */
    private Integer packetSendedNum;

    /**
     * 余额不足提示
     */
    private String insufficientBalanceTip;

    /**
     * 商户名称
     */
    @TableField(exist = false)
    private String mchName;

    /**
     * 红包祝福语
     */
    @TableField(exist = false)
    private String blessing;

    /**
     * 活动名称
     */
    @TableField(exist = false)
    private String activityName;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remark;
}
